## Apache Zeta Components Manual :: Docs For Class ezcDebugOutputFormatter

### Debug::ezcDebugOutputFormatter

### Interface ezcDebugOutputFormatter

ezcDebugOutputFormatter provides the common interface for all classes writing debug output.

Source for this file: /Debug/src/interfaces/formatter.php

Version: | //autogentag//

### Method Summary

public string | `generateOutput( $timerData , $writerData )` Returns a string containing the formatted output based on $timerData and $writerData.

### Methods

#### generateOutput

string generateOutput( $timerData , $writerData )

Returns a string containing the formatted output based on $timerData and $writerData.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$timerData` | array(ezcDebugStructure) |
`$writerData` | array |

Documentation generated by phpDocumentor 1.4.3